Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359361 - [abrt] evince: _gdk_wayland_display_get_scaled_cursor_theme(): evince killed by SIGABRT when running in "sandbox -X"
Summary: [abrt] evince: _gdk_wayland_display_get_scaled_cursor_theme(): evince killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d58a7ac596b56fedcd78b7ebac...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-23 05:28 UTC by Joachim Frieben
Modified: 2017-08-08 15:48 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:48:16 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-07-23 05:28 UTC, Joachim Frieben
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 827335 None None None 2016-11-08 17:32:43 UTC

Description Joachim Frieben 2016-07-23 05:28:23 UTC
Version-Release number of selected component:
evince-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        evince /tmp/mozilla_frieben0/1607.06095.pdf
crash_function: _gdk_wayland_display_get_scaled_cursor_theme
executable:     /usr/bin/evince
global_pid:     2124
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _gdk_wayland_display_get_scaled_cursor_theme at gdkdisplay-wayland.c:827
 #5 _gdk_wayland_cursor_update at gdkcursor-wayland.c:152
 #6 _gdk_wayland_display_get_cursor_for_name_with_scale at gdkcursor-wayland.c:355
 #7 gtk_window_realize at gtkwindow.c:7286
 #8 gtk_application_window_real_realize at gtkapplicationwindow.c:677
 #13 gtk_widget_realize at gtkwidget.c:5453
 #14 ev_application_open_uri_in_window at ev-application.c:571
 #15 _ev_application_open_uri_at_dest at ev-application.c:603
 #16 on_register_uri_cb at ev-application.c:370
 #17 g_task_return_now at gtask.c:1107

Comment 1 Joachim Frieben 2016-07-23 05:28:29 UTC
Created attachment 1183049 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-07-23 05:28:30 UTC
Created attachment 1183050 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-07-23 05:28:31 UTC
Created attachment 1183051 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-07-23 05:28:33 UTC
Created attachment 1183052 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-07-23 05:28:34 UTC
Created attachment 1183053 [details]
File: environ

Comment 6 Joachim Frieben 2016-07-23 05:28:36 UTC
Created attachment 1183054 [details]
File: limits

Comment 7 Joachim Frieben 2016-07-23 05:28:38 UTC
Created attachment 1183055 [details]
File: maps

Comment 8 Joachim Frieben 2016-07-23 05:28:39 UTC
Created attachment 1183056 [details]
File: mountinfo

Comment 9 Joachim Frieben 2016-07-23 05:28:41 UTC
Created attachment 1183057 [details]
File: namespaces

Comment 10 Joachim Frieben 2016-07-23 05:28:42 UTC
Created attachment 1183058 [details]
File: open_fds

Comment 11 Joachim Frieben 2016-07-23 05:28:43 UTC
Created attachment 1183059 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2016-07-23 05:28:44 UTC
Created attachment 1183060 [details]
File: var_log_messages

Comment 13 Fedora Admin XMLRPC Client 2016-10-14 08:09:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Michael Stahl 2016-11-08 17:32:43 UTC
#3  0x00007fe72c3d8f9a in g_assertion_message_expr (domain=domain@entry=0x7fe72daae7ee "Gdk", file=file@entry=0x7fe72dad0a77 "gdkdisplay-wayland.c", line=line@entry=827, func=func@entry=0x7fe72dad0e20 <__func__.64662> "_gdk_wayland_display_get_scaled_cursor_theme", expr=expr@entry=0x7fe72dad0bb0 "wayland_display->cursor_theme_name") at gtestutils.c:2452
        s = 0x555fa6e48f50 "assertion failed: (wayland_display->cursor_theme_name)"
#4  0x00007fe72daa4016 in _gdk_wayland_display_get_scaled_cursor_theme (wayland_display=wayland_display@entry=0x555fa69ca110, scale=<optimized out>) at gdkdisplay-wayland.c:827

the only thing google finds is a Debian bug where AppArmor prevented
writing to /run/user/*/weston-shared-*, but no AppArmor on Fedora:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=827335

ah this log is interesting:

Jul 23 07:24:09 riemann audit[2124]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:sandbox_x_t:s0:c171,c573 pid=2124 comm="evince" exe="/usr/bin/evince" sig=6

apparently running in SELinux context "sandbox_x_t" - that doesn't look default...

when i run evince i get this "unconfined_t":

> ps -Z $(pidof evince)
LABEL                             PID TTY      STAT   TIME COMMAND
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 13927 tty2 Sl+   0:00 evin

what sandboxing tool is that? i guess it needs to allow writes to "/run/user/*/weston-shared-*" when running in wayland?

Comment 15 Joachim Frieben 2016-11-08 19:07:59 UTC
(In reply to Michael Stahl from comment #14)
I think that I was running something like 'sandbox -X firefox' and used evince in order to view a downloaded PDF file.

Comment 16 Michael Stahl 2016-11-08 20:27:10 UTC
/usr/bin/sandbox is package policycoreutils-python-utils and policycoreutils-sandbox

i'm pretty sure this is not a bug in evince, the assertion happens in GTK+.

however i don't have a detailed understanding of which process is
supposed to create these /run/user/*/weston-shared-* files,
i speculate there is at least a wayland server, a XWayland, a Xephyr
and a evince process involved here, so i'm reassigning it to
policycoreutils and hope for the best.

Comment 17 Petr Lautrbach 2016-11-09 15:57:29 UTC
SELinux sandbox confines an application so it has only limited access to system resources.

It looks like  _gdk_wayland_display_get_scaled_cursor_theme() tries to access some resource which is not allowed in sandbox domain. Is this fatal that gtk has to abort?

Comment 18 Fedora End Of Life 2017-07-25 21:59:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 15:48:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.